#include<iostream>
#include<vector>
#include"redica.h"
using namespace std;
vector<int> ans;
void solve(int N, int K, int S)
{
    if(S == N*K)
    {
        for(int i = 0; i < N; i++)
        {
            ans.push_back(K);
        }
        submit(ans);
    }
    for(int i = 0; i < N; i++)
    {
        ans.push_back(query());
    }
    submit(ans);
}